# Contributing
Did I Take My Meds? is very open to community contributions and I, [CorruptedArk](https://github.com/CorruptedArk), am very happy to receive any feedback or contributions for this project. I simply ask you show me respect by following some guidelines.

When contributing to this repository, please discuss the change you wish to make via an issue prior to making a change.

## Issues
Valid issue subjects include but are not limited to the following:

- Bug reports
- Proposed fixes
- Feature requests / additions
- Resource translations

## Contributing Translations
If you want to provide translations, you can either:
- Directly submit a pull request with changes to the string resource files

	**or**

- Translate through the hosted Weblate instance for this project [here](https://hosted.weblate.org/projects/did-i-take-my-meds/string-resources/)

## Pull Requests
As stated above, please submit an issue regarding changes before implementing them. Doing so gives me a chance to decide whether the change is fit for the code base, allows me to decide if I will implement it, and saves you time by preventing duplication of work.

If I approve of the proposed change and agree that you should work on it, go ahead and make the change in a fork. When you are ready to add the modified code to the upsteam repository, please submit a pull request. 

### Code Quality
Please try to keep naming conventions and style consistent with the surrounding code. Your changes don't have to be perfect, but make them close enough that I will only have to do minor cleanup at most.

